Bug 860888 - RecipeTask ordering is not persisted
RecipeTask ordering is not persisted
Status: NEW
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
0.9
Unspecified Unspecified
low Severity unspecified (vote)
: ---
: ---
Assigned To: beaker-dev-list
ImplementationQuality
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-26 22:58 EDT by Dan Callaghan
Modified: 2016-05-26 09:15 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2012-09-26 22:58:44 EDT
Ordering of tasks within a recipe is significant (recipes have a sequence of tasks, not a set) but Beaker does not persist the ordering to the database. It relies on the tasks being assigned increasing ids when inserted, and on the fact that the database happens to return the rows in id order when queried.

At the very least Beaker should use ORDER BY id whenever it fetches RecipeTasks.
Comment 2 Dan Callaghan 2014-11-12 23:11:16 EST
Having an explicit ordinal for each task in a recipe would come in handy when trying to write SQL queries which join recipe-tasks against recipe-tasks at the same position in different recipes. (I was trying to write a query like that last night for bug 960434.)

Note You need to log in before you can comment on or make changes to this bug.